All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector.ifileservice
Class IFileServiceFileMetadata

    com.sas.swing.models.remotefileselector.ifileservice.IFileServiceFileMetadata

All Implemented Interfaces:
  RemoteFileMetadataInterface

    public class IFileServiceFileMetadata

IFileServiceFileMetadata defines a class that contains the file metadata returned through calls to the IFileService class.

Since:
  3.1
See Also:
  `com.sas.swing.visuals.remotefileselector.RemoteFileMetadataInterface`, `
  `

Field Summary

Fields inherited from class com.sas.swing.models.remotefileselector.BaseRemoteFileMetadata
`drillable, icon, name, path`

Constructor Summary
`IFileServiceFileMetadata(java.lang.String name, java.lang.String icon, boolean drillable, java.lang.String extension, com.sas.iom.SAS.IFileServicePackage.TypeCategory category, int size, java.util.Date modtime, java.lang.String engine)` Constructs an IFileServiceFileMetadata object.

Method Summary
`java.lang.String` | `getEngine()` Returns the SAS engine for SAS data sources.
`java.lang.String` | `getExtension()` Returns the file extension.
`java.util.Date` | `getModtime()` Returns the time of the last file modification.
`int` | `getSize()` Returns the size of the file.
`com.sas.iom.SAS.IFileServicePackage.TypeCategory` | `getTypeCategory()` Returns the file category type.

Methods inherited from class com.sas.swing.models.remotefileselector.BaseRemoteFileMetadata
`getIcon, getName, getPath, isDrillable, setDrillable, setIcon, setName, setPath, toString`

Constructor Detail

### IFileServiceFileMetadata

    public IFileServiceFileMetadata(java.lang.String name,
                                    java.lang.String icon,
                                    boolean drillable,
                                    java.lang.String extension,
                                    com.sas.iom.SAS.IFileServicePackage.TypeCategory category,
                                    int size,
                                    java.util.Date modtime,
                                    java.lang.String engine)

  Constructs an IFileServiceFileMetadata object.

  Parameters:
    `name` - the file name
    `icon` - the icon associated with the file
    `drillable` - set to true, if the file is a directory and can be drilled down on
    `extension` - the file extension
    `category` - the file TypeCategory
    `size` - the size of the file
    `modtime` - the time of last modification
    `engine` - the SAS engine associated with SAS data sources

Method Detail

### getExtension

    public java.lang.String getExtension()

  Returns the file extension.

  Returns:
    the file extension

### getTypeCategory

    public com.sas.iom.SAS.IFileServicePackage.TypeCategory getTypeCategory()

  Returns the file category type.

  Returns:
    the category type

### getSize

    public int getSize()

  Returns the size of the file.

  Returns:
    the file size

### getModtime

    public java.util.Date getModtime()

  Returns the time of the last file modification.

  Returns:
    file modification time

### getEngine

    public java.lang.String getEngine()

  Returns the SAS engine for SAS data sources.

  Returns:
    the SAS engine

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.